PHP Manual
Prev |  | Next

# fam_monitor_collection

(PHP 5 <= 5.0.4)

fam_monitor_collection -- Monitor a collection of files in a directory for changes

## Description

resource fam_monitor_collection ( resource fam, string dirname, int depth, string mask )

Requests monitoring for a collection of files within a directory.

A FAM event will be generated whenever the status of the files change. The possible event codes are described in detail in the constants part of this section.

## Parameters

`fam`

  A resource representing a connection to the FAM service returned by fam_open()

`dirname`

  Directory path to the monitored files

`depth`

  The maximum search `depth` starting from this directory

`mask`

  A shell pattern `mask` restricting the file names to look for

## Return Values

Returns a monitoring resource or `FALSE` on errors.

## See Also

fam_monitor_file()
fam_monitor_directory()
fam_cancel_monitor()
fam_suspend_monitor()
fam_resume_monitor()

Prev | Home | Next
fam_close | Up | fam_monitor_directory